package com.zipcoder.payment;

public class CreditCard implements Payment {
    Long id;
    String payerName;
    String number;
    int expiredMonth;
    int expiredYear;

    public CreditCard(Long id, String payerName, String number, int expiredMonth, int expiredYear) {
        this.id = id;
        this.payerName = payerName;
        this.number = number;
        this.expiredMonth = expiredMonth;
        this.expiredYear = expiredYear;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public int getExpiredMonth() {
        return expiredMonth;
    }

    public void setExpiredMonth(int expireMonth) {
        this.expiredMonth = expireMonth;
    }

    public int getExpiredYear() {
        return expiredYear;
    }

    public void setExpiredYear(int expireYear) {
        this.expiredYear = expireYear;
    }

    public CreditCard(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getPayerName() {
        return payerName;
    }

    public String getShortDescription() {
        return "CC" + " " + payerName + " " + number.substring(number.length()-4, number.length()) + " " + expiredMonth + "/" + expiredYear;
    }

    public int compareTo(Payment o) {
        return this.getShortDescription().compareTo(o.getShortDescription());

    }
}
