package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CreditCardTest {

    CreditCard test;
    CreditCard test1;

    @Before
    public void before() {
    test = new CreditCard(1L, "donna", "1234567890", 10, 2020);
    test1 = new CreditCard(6L, "marie", "1234507890", 1, 2022);
}
    @Test
    public void getIdTest() {
        Long expected = 1L;
        Long actual = test.getId();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void getPayerNameTest() {
        String expected = "donna";
        String actual = test.getPayerName();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getNumberTest() {
        String expected = "1234567890";
        String actual = test.getNumber();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void getExpiredMonthTest() {
        int expected = 10;
        int actual = test.getExpiredMonth();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getExpiredYearTest() {
        int expected = 2020;
        int actual = test.getExpiredYear();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getShortDescriptionTest() {
        String expected = "CC donna 7890 10/2020";
        String actual = test.getShortDescription();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void compareToTest() {
        int actual = test.compareTo(test1);
        Assert.assertTrue(actual < 0);
    }

}


