package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class PayPalTest {
    PayPal test;
    PayPal test1;

    @Before
    public void before() {
        test = new PayPal(3L, "donna", "donna@jacobs.com");
        test1 = new PayPal(8L, "marie", "marie@jacobs.com");
    }

    @Test
    public void getIdTest() {
        Long expected = 3L;
        Long actual = test.getId();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void getPayerNameTest() {
        String expected = "donna";
        String actual = test.getPayerName();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getEmailTest() {
        String expected = "donna@jacobs.com";
        String actual = test.getEmail();
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void getShortDescriptionTest() {
        String expected = "PayPal donna donna@jacobs.com";
        String actual = test.getShortDescription();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void compareToTest() {
        int actual = test.compareTo(test1);
        Assert.assertTrue(actual < 0);
    }
}
