package com.zipcoder.payment;

public class Check implements Payment {
    Long id;
    String payerName;
    String routingNumber;
    String number;

    public Check(Long id, String payerName, String routingNumber, String number) {
        this.id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.number = number;

    }
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPayerName() {
        return payerName;
    }

    public String getShortDescription() {
        return "Check" + " " + payerName + " " + "***" + number.substring(number.length()-4, number.length());
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getRoutingNumber() {
        return routingNumber;
    }

    public void setRoutingNumber(String routingNumber) {
        this.routingNumber = routingNumber;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }


    public int compareTo(Payment o) {
        return this.getShortDescription().compareTo(o.getShortDescription());

    }
}
