package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CheckTest {
    Check test;
    Check test1;

    @Before
    public void before() {
        test = new Check(2L, "donna", "987654321", "1234567890");
        test1 = new Check(7L, "marie", "987654301", "1234567800");
    }

    @Test
    public void getIdTest() {
        Long expected = 2L;
        Long actual = test.getId();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void getPayerNameTest() {
        String expected = "donna";
        String actual = test.getPayerName();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getRoutingNumberTest() {
        String expected = "987654321";
        String actual = test.getRoutingNumber();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void getNumberTest() {
        String expected = "1234567890";
        String actual = test.getNumber();
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void getShortDescriptionTest() {
        String expected = "Check donna ***7890";
        String actual = test.getShortDescription();
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void compareToTest() {
        int actual = test.compareTo(test1);
        Assert.assertTrue(actual < 0);
    }
}
